ChangeTableCompartmentDetails¶
- class oci.nosql.models.ChangeTableCompartmentDetails(**kwargs)¶
Bases:
objectSpecification of both from and to compartments.
Methods:
__init__(**kwargs)Initializes a new ChangeTableCompartmentDetails object with values from keyword arguments.
Attributes:
Gets the from_compartment_id of this ChangeTableCompartmentDetails.
[Required] Gets the to_compartment_id of this ChangeTableCompartmentDetails.
- __init__(**kwargs)¶
Initializes a new ChangeTableCompartmentDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
from_compartment_id (str) – The value to assign to the from_compartment_id property of this ChangeTableCompartmentDetails.
to_compartment_id (str) – The value to assign to the to_compartment_id property of this ChangeTableCompartmentDetails.
- property from_compartment_id¶
Gets the from_compartment_id of this ChangeTableCompartmentDetails. The OCID of the table’s current compartment. Required if the tableNameOrId path parameter is a table name. Optional if tableNameOrId is an OCID. If tableNameOrId is an OCID, and fromCompartmentId is supplied, the latter must match the identified table’s current compartmentId.
- Returns
The from_compartment_id of this ChangeTableCompartmentDetails.
- Return type
str
- property to_compartment_id¶
[Required] Gets the to_compartment_id of this ChangeTableCompartmentDetails. The OCID of the table’s new compartment.
- Returns
The to_compartment_id of this ChangeTableCompartmentDetails.
- Return type
str